#include <bits/stdc++.h>
#define pb push_back
#define ll long long
#define FOR(n) for(int i = 0; i < n; i++)
#define fi first
#define se second
#define pii pair<int,int>
#define pll pair<long long, long long>
#define C const int
using namespace std;

int main()
{
	ios::sync_with_stdio(false);cin.tie(0);cout.tie(0);cerr.tie(0);

    int x1,y1,x2,y2; cin >> x1 >> y1 >> x2 >> y2;

    if(x1==x2 || y1 == y2) cout << "2\n";
    else
    {
        if(x1-x2==y1-y2)
        cout << "1\n";
        else cout << "0\n";
    }

}